dbXML API

## com.dbxml.db.core.transaction
Class TransactionsNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.dbxml.util.dbXMLException
                  com.dbxml.db.core.DBException
                      com.dbxml.db.core.transaction.TransactionException
                          com.dbxml.db.core.transaction.TransactionsNotSupportedException

All Implemented Interfaces:
  java.io.Serializable

public class TransactionsNotSupportedException
extends TransactionException

A TransactionsNotSupportedException is thrown by a Filer if transactional behavior is not supported by that Filer.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.dbxml.util.dbXMLException
`faultCode`

Constructor Summary
`TransactionsNotSupportedException(java.lang.String message, java.lang.Throwable wrapped)`
`TransactionsNotSupportedException(java.lang.Throwable wrapped)`

Methods inherited from class com.dbxml.util.dbXMLException
`getFaultCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionsNotSupportedException

    public TransactionsNotSupportedException(java.lang.Throwable wrapped)

### TransactionsNotSupportedException

    public TransactionsNotSupportedException(java.lang.String message,
                                             java.lang.Throwable wrapped)

dbXML API

Copyright (c) 2004 The dbXML Group